package com.goafanti.Interview.service;

import com.goafanti.Interview.bo.UpdateUserBo;
import com.goafanti.common.model.UserArchivesInterview;

/**
 * 客户档案面谈表(UserArchivesInterview)表服务接口
 *
 * @author makejava
 * @since 2025-04-10 17:09:23
 */
public interface UserArchivesInterviewService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UserArchivesInterview queryById(Integer id);


    /**
     * 新增数据
     *
     * @param userArchivesInterview 实例对象
     * @return 实例对象
     */
    UserArchivesInterview insert(UserArchivesInterview userArchivesInterview);

    /**
     * 修改数据
     *
     * @param userArchivesInterview 实例对象
     * @return 实例对象
     */
    UserArchivesInterview update(UserArchivesInterview userArchivesInterview);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 列表数据
     *
     * @param in 参数
     * @return 是否成功
     */
    Object list(UserArchivesInterview in, Integer pageNo, Integer pageSize);

    Object updateUser(UpdateUserBo ua );

    Object pushUserFirstInterview();

    Object selectByPrdid(Integer prdid);
}
